Package Details: wiki-js 2.5.201-1

Git Clone URL: https://aur.archlinux.org/wiki-js.git (read-only, click to copy)
Package Base: wiki-js
Description: Wiki.js | A modern, lightweight and powerful wiki app built on Node.js
Upstream URL: https://github.com/Requarks/wiki
Licenses: AGPL3
Submitter: dasbaumwolltier
Maintainer: dasbaumwolltier
Last Packager: dasbaumwolltier
Votes: 1
Popularity: 0.69
First Submitted: 2020-12-14 21:29
Last Updated: 2021-04-04 20:16

Latest Comments

dasbaumwolltier commented on 2021-03-20 11:44

Thank you for suggesting the changes, I actually learned something today :D Anyway, the suggestions have been implemented and the version updated (weird that I got four emails for the preview versions, but none for the actual release)

djmattyg007 commented on 2021-03-20 06:25

One more suggestion: the final line of the package() function runs 'cp -aR'. The '-R' flag is redundant here, because '-a' implies '-R'.

djmattyg007 commented on 2021-03-20 03:23

Other suggested improvements:

  1. Listing the package itself in the 'provides' and 'conflicts' lists is redundant. Alternative packages, such as the 'wiki-js-git' package, are supposed to fill out these fields in this way (if it is necessary).

  2. The config file placed into /etc shouldn't be writeable by the wiki-js user account. I recommend removing the ownership-related flags from the relevant 'install' invocation entirely. Why? If there was a bug in the software, it could be exploited to maliciously modify the configuration and possibly do other damage to the system.

  3. I also recommend removing all lines from the tmpfiles file except the first one. The only requirement is that the home directory is created for the correct user account. The other parts are unnecessary or will cause problems:

3a. The +C declaration for the home directory is unnecessary for wiki.js. Preventing copy-on-write copying on copy-on-write filesystems is typically only necessary for databases (such as postgres)

3b. Changing the permissions of files and folders that pacman is managing can cause problems, and likely will cause warnings when pacman is updating the package.

  1. The checksum for 'wiki-js.sysusers' doesn't appear to be accurate, meaning building the package fails entirely.

EDIT: Apologies for the weird markdown formatting

djmattyg007 commented on 2021-03-20 01:44

Yarn is still listed as a make dependency, despite it not being used as one.

dasbaumwolltier commented on 2021-02-24 08:08

Thank you, I added your suggestion to the package!

djmattyg007 commented on 2021-02-23 23:20

Sorry, I meant a tmpfiles file, not a sysusers file.

djmattyg007 commented on 2021-02-23 23:19

Instead of creating and chowning /var/lib/wiki-js in the PKGBUILD, it should instead be created with the sysusers file. I recommend this example from the postgresql package:

https://github.com/archlinux/svntogit-packages/blob/packages/postgresql/trunk/postgresql.tmpfiles